<bugID>1016452<Summary>Console history should be persisted during a session</Summary><Description>The console tab provides a handy history of snippets entered by the user. It would be very useful to persist this history and not wipe it out when the page is refreshed. This would of course depend "Enable persistent logs" preference.

(Chrome already does it)</Description></bugID>